## python-id 1.5.0

=== Makefile ===
SHELL := /bin/bash

PY_MODULE := id

ALL_PY_SRCS := $(shell find $(PY_MODULE) -name '*.py') \
	$(shell find test -name '*.py')

# Optionally overriden by the user, if they're using a virtual environment manager.
VENV ?= env

# On Windows, venv scripts/shims are under `Scripts` instead of `bin`.
VENV_BIN := $(VENV)/bin
ifeq ($(OS),Windows_NT)
	VENV_BIN := $(VENV)/Scripts
endif

# Optionally overridden by the user in the `release` target.
BUMP_ARGS :=

# Optionally overridden by the user in the `test` target.
TESTS ?=

# Optionally overridden by the user/CI, to limit the installation to a specific
# subset of development dependencies.
ID_EXTRA := dev

# If the user selects a specific test pattern to run, set `pytest` to fail fast
# and only run tests that match the pattern.
# Otherwise, run all tests and enable coverage assertions, since we expect
# complete test coverage.
ifneq ($(TESTS),)
	TEST_ARGS := -x -k $(TESTS) $(TEST_ARGS)
	COV_ARGS :=
else
	TEST_ARGS := $(TEST_ARGS)
# TODO: Reenable coverage testing
#	COV_ARGS := --fail-under 100
endif

ifneq ($(T),)
	T := $(T)
else
	T := test/unit
endif

.PHONY: all
all:
	@echo "Run my targets individually!"

$(VENV)/pyvenv.cfg: pyproject.toml
	# Create our Python 3 virtual environment
	python3 -m venv $(VENV)
	$(VENV_BIN)/python -m pip install --upgrade pip
	$(VENV_BIN)/python -m pip install -e .[$(ID_EXTRA)]

.PHONY: dev
dev: $(VENV)/pyvenv.cfg

.PHONY: run
run: $(VENV)/pyvenv.cfg
	@. $(VENV_BIN)/activate && python -m id $(ARGS)

.PHONY: lint
lint: $(VENV)/pyvenv.cfg
	. $(VENV_BIN)/activate && \
		ruff format --check $(ALL_PY_SRCS) && \
		ruff check $(ALL_PY_SRCS) && \
		mypy $(PY_MODULE) && \
		bandit -c pyproject.toml -r $(PY_MODULE) && \
		interrogate --fail-under 80 -c pyproject.toml $(PY_MODULE)

.PHONY: reformat
reformat: $(VENV)/pyvenv.cfg
	. $(VENV_BIN)/activate && \
		ruff check --fix $(ALL_PY_SRCS) && \
		ruff format $(ALL_PY_SRCS)

.PHONY: test
test: $(VENV)/pyvenv.cfg
	. $(VENV_BIN)/activate && \
		pytest --cov=$(PY_MODULE) $(T) $(TEST_ARGS) && \
		python -m coverage report -m $(COV_ARGS)

.PHONY: package
package: $(VENV)/pyvenv.cfg
	. $(VENV_BIN)/activate && \
		python3 -m build

.PHONY: release
release: $(VENV)/pyvenv.cfg
	@. $(VENV_BIN)/activate && \
		NEXT_VERSION=$$(bump $(BUMP_ARGS)) && \
		git add $(PY_MODULE)/_version.py && git diff --quiet --exit-code && \
		git commit -m "version: v$${NEXT_VERSION}" && \
		git tag v$${NEXT_VERSION} && \
		echo "RUN ME MANUALLY: git push origin main && git push origin v$${NEXT_VERSION}"

.PHONY: check-readme
check-readme:
	# id --help
	@diff \
	  <( \
	    awk '/@begin-id-help@/{f=1;next} /@end-id-help@/{f=0} f' \
	      < README.md | sed '1d;$$d' \
	  ) \
	  <( \
	    $(MAKE) -s run ARGS="--help" \
	  )

.PHONY: edit
edit:
	$(EDITOR) $(ALL_PY_SRCS)

## python-id 1.4.0

=== debian/changelog ===
python-id (1.4.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 16:38:12 +0900

python-id (1.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1076762)

 -- Edward Betts <edward@4angle.com>  Tue, 23 Jul 2024 21:05:22 +0900

=== debian/control ===
Source: python-id
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-pretend <!nocheck>,
               python3-pydantic (>= 2.4.2) <!nocheck>,
               python3-pytest <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/di/id
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-id
Vcs-Git: https://salsa.debian.org/python-team/packages/python-id.git

Package: python3-id
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python tool for generating and managing OIDC identities
 This is a versatile Python tool designed for generating and managing OpenID
 Connect (OIDC) identities across various environments including GitHub Actions,
 GitLab pipelines, and Google Cloud platforms. This tool simplifies the process
 of OIDC credential generation and supports automatic detection and production
 of credentials in supported environments.
 .
 With 'id', users can efficiently handle OIDC tokens and authentication
 procedures, streamlining deployment and CI/CD workflows. The tool is also
 equipped to work in environments like Buildkite and CircleCI, ensuring broad
 compatibility and utility.

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all,
         python3-pretend,
         python3-pydantic (>= 2.4.2),
         python3-pytest,
         @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/id-$1\.tar\.gz/ \
  https://github.com/di/id/tags .*/v?(\d\S+)\.tar\.gz

## python-id 1.5.0

=== debian/changelog ===
python-id (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Upstream no longer depends on pydantic.
  * Move packages required for tests to Build-Depends-Indep.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 08 Dec 2024 12:35:19 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: python-id
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               flit,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-pretend <!nocheck>,
-               python3-pydantic (>= 2.4.2) <!nocheck>,
-               python3-pytest <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ flit,
+ pybuild-plugin-pyproject,
+ python3-all,
+Build-Depends-Indep:
+ python3-pretend <!nocheck>,
+ python3-pytest <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/di/id
@@ -19,7 +21,9 @@
 
 Package: python3-id
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python tool for generating and managing OIDC identities
  This is a versatile Python tool designed for generating and managing OpenID
  Connect (OIDC) identities across various environments including GitHub Actions,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=id

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf id.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pretend,
 python3-pytest,
 @,

=== debian/watch ===
version=4
https://github.com/di/id/tags .*/v?(\d\S+)\.tar\.gz

## python-id 1.6.0

=== debian/changelog ===
python-id (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Simplify debian/rules.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Feb 2026 10:42:37 +0000

## python-id 1.6.1

=== debian/changelog ===
python-id (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sat, 07 Feb 2026 09:34:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -13,8 +12,7 @@
 Build-Depends-Indep:
  python3-pretend <!nocheck>,
  python3-pytest <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/di/id
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-id
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-id.git

=== debian/watch ===
Version: 5

Template: GitHub
Owner: di
Project: id
